Five Nights At Freddy’s AR: Special Delivery – Your Device Isn’t Compatible With This Version Explained

missing-image-4x3

The surprise release of Five Nights At Freddy’s AR: Special Delivery has people rushing to download the game. Unfortunately, some people are running into an issue on the store. They are told that their device isn’t compatible with this version. The error means that you will be unable to play the game on your device, but there are some things you should check before giving up on the game.

Android

For Android devices, the game requires Android Version 7+, and AR Core support. To check if your device can support AR Core, search for Google Play Services for AR on the Google Play Store. If you can install the program, then your device will support AR Core. Check to see if you can download FNAF: Special Delivery again, and the problem may be resolved.

You can also try Force Stopping the Google Play Store app and clearing the cache, as there is a chance that the data on your device may be out of date. While the exact method of doing this will vary on different devices, you should find it under App Management in the general Settings menu.

iOS

For iOS devices, you need to be running at least iOS 11.2, although Illumix recommends iOS 13 and up, and Apple ARKit. Double-check your specs to make sure your device can run the game.

Unfortunately, not all devices will be able to run the game, and of those that can, not all of them will be able to run it well. The mobile gaming market has so many potential devices that can run a game that there is no way for a developer to check how, or if, the game will perform on every device.